### Enumeration

# Qmi PdsPositionSessionStatus

since: 1.0

#### Declaration

    enum Qmi.PdsPositionSessionStatus

#### Description [src]

Status of the positioning session.

Available since: 1.0

#### Members

`QMI_PDS_POSITION_SESSION_STATUS_SUCCESS`

  Success.

  - Value: `0`
  - Available since: 1.0
`QMI_PDS_POSITION_SESSION_STATUS_IN_PROGRESS`

  In progress.

  - Value: `1`
  - Available since: 1.0
`QMI_PDS_POSITION_SESSION_STATUS_GENERAL_FAILURE`

  General failure.

  - Value: `2`
  - Available since: 1.0
`QMI_PDS_POSITION_SESSION_STATUS_TIMEOUT`

  Timeout.

  - Value: `3`
  - Available since: 1.0
`QMI_PDS_POSITION_SESSION_STATUS_USER_ENDED_SESSION`

  User ended session.

  - Value: `4`
  - Available since: 1.0
`QMI_PDS_POSITION_SESSION_STATUS_BAD_PARAMETER`

  Bad parameter.

  - Value: `5`
  - Available since: 1.0
`QMI_PDS_POSITION_SESSION_STATUS_PHONE_OFFLINE`

  Phone is offline.

  - Value: `6`
  - Available since: 1.0
`QMI_PDS_POSITION_SESSION_STATUS_ENGINE_LOCKED`

  Engine locked.

  - Value: `7`
  - Available since: 1.0
`QMI_PDS_POSITION_SESSION_STATUS_E911_SESSION_IN_PROGRESS`

  Emergency call in progress.

  - Value: `8`
  - Available since: 1.0

#### Type functions

###### qmi_pds_position_session_status_get_string

Gets the nickname string for the `QmiPdsPositionSessionStatus` specified at `val`.

since: 1.0